##### For example

- Run PMD on a Sourceforge project

## How to install PMD (and CPD)

### Windows

Prerequisites:

- JDK 1.3 or higher
- Winzip

Download the latest binary distribution - i.e., pmd-bin-x.xx.zip

Unzip it into any directory, i.e., c:\pmd\

### Unix

Prerequisites:

- JDK 1.3 or higher
- The Unix "zip" utility InfoZip

Download the latest binary distribution - i.e., pmd-bin-x.xx.zip

Unzip it into any directory:

                          [tom@hal tmp]$ unzip -q pmd-bin-3.7.zip
                          [tom@hal tmp]$ ls -l
                          total 4640
                          drwxrwxr-x    5 tom      tom          4096 Apr 17 16:38 pmd-3.7
                          -rw-rw-r--    1 tom      tom       4733312 Jun  9 15:44 pmd-bin-3.7.zip
                          [tom@hal tmp]$

Note that the PMD jar file contains the CPD utility as well.